Subject: Re: [GOST] Формат подписи CMS в pygost

From: Гневашев Дмитрий <[email-masked]>
Date: Fri, 1 Dec 2017 10:42:30 +0300

В тестах для модуля gost3410 я нашёл такую строку:
signature = signature[32:] + signature[:32]
В инструкции по подписыванию документов принимающей стороны дана ссылка 
на пункт 3.1 RFC 4490, в котором указано, что подпись состоит из 64 
октетов, первый 32 из которых - это число s, а вторые - r'. Приведённая 
выше строка, видимо, меняет местами эти два числа в подписи. Какой смысл 
вкладывался в эту строку? Может существуют какие-то два представления 
подписи, одна из которых "инвертированная", а другая нет, и этот тест 
был написан на каких-то реальных данных, которые должны инвертироваться?

Гневашев Дмитрий